/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/

(function (Drupal, Backbone, Modernizr) {
  Drupal.contextual.RegionView = Backbone.View.extend({
    events() {
      let mapping = {
        mouseenter() {
          this.model.set('regionIsHovered', true);
        },

        mouseleave() {
          this.model.close().blur().set('regionIsHovered', false);
        }

      };

      if (Modernizr.touchevents) {
        mapping = {};
      }

      return mapping;
    },

    initialize() {
      this.listenTo(this.model, 'change:hasFocus', this.render);
    },

    render() {
      this.$el.toggleClass('focus', this.model.get('hasFocus'));
      return this;
    }

  });
})(Drupal, Backbone, Modernizr);